Finish WebAuthn registration
POST
/api/v1/mfa/webauthn/verify
const url = 'https://example.com/api/v1/mfa/webauthn/verify';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"challenge":"example","credential":{},"name":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/mfa/webauthn/verify \ --header 'Content-Type: application/json' \ --data '{ "challenge": "example", "credential": {}, "name": "example" }'Validates a WebAuthn attestation and stores the credential.
Request Bodyrequired
Section titled “Request Bodyrequired”Request body
Media typeapplication/json
object
challenge
string
credential
object
name
string
Examplegenerated
{ "challenge": "example", "credential": {}, "name": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Not found
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Internal server error
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}